Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.profiling
Class ProfilingTimerBean

    java.lang.Object
      com.opensymphony.xwork2.util.profiling.ProfilingTimerBean

All Implemented Interfaces:
  Serializable

    public class ProfilingTimerBean

extends Object
implements Serializable

Bean to contain information about the pages profiled

Version:
  $Date$ $Id$
Author:
  Mike Cannon-Brookes, Scott Farquhar
See Also:
  Serialized Form

Field Summary
`(package private) List<ProfilingTimerBean>` | `children`
`(package private) ProfilingTimerBean` | `parent`
`(package private) String` | `resource`
`private static long` | `serialVersionUID`
`(package private) long` | `startTime`
`(package private) long` | `totalTime`

Constructor Summary
`ProfilingTimerBean(String resource)`

Method Summary
`void` | `addChild(ProfilingTimerBean child)`
`protected void` | `addParent(ProfilingTimerBean parent)`
`ProfilingTimerBean` | `getParent()`
`String` | `getPrintable(long minTime)` Get a formatted string representing all the methods that took longer than a specified time.
`protected String` | `getPrintable(String indent, long minTime)`
`String` | `getResource()`
`void` | `setEndTime()`
`void` | `setStartTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### children

    List<ProfilingTimerBean> children

### parent

    ProfilingTimerBean parent

### resource

    String resource

### startTime

    long startTime

### totalTime

    long totalTime

Constructor Detail

### ProfilingTimerBean

    public ProfilingTimerBean(String resource)

Method Detail

### addParent

    protected void addParent(ProfilingTimerBean parent)

### getParent

    public ProfilingTimerBean getParent()

### addChild

    public void addChild(ProfilingTimerBean child)

### setStartTime

    public void setStartTime()

### setEndTime

    public void setEndTime()

### getResource

    public String getResource()

### getPrintable

    public String getPrintable(long minTime)

  Get a formatted string representing all the methods that took longer than a specified time.

### getPrintable

    protected String getPrintable(String indent,
                                  long minTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.